from os import path, remove

from imagetools.lib.constants import SEPARATOR
from imagetools.lib.exif import set_date


def apply_configuration(
    configuration: str,
) -> None:
    """
    Applies a given configuration to the file system.

    :param configuration: Path to the configuration file to apply.
    """

    with open(configuration, "r") as f:
        for line in f.readlines():
            file, action = line.split(SEPARATOR)

            if not path.isfile(file):
                continue

            if action == "DELETE":
                remove(file)
                continue

            set_date(file, action)
