def left_pad(string: str, padding: str, length: int) -> str:
    """
    Pad a string on the left to a desired length.

    :param string: the string to pad
    :param padding: the padding to use
    :param length: the desired length of the string
    :returns: The string, left-padded to length using specied padding.
    """

    if len(string) == length:
        return string

    if len(string) > length:
        raise ValueError("String cannot be made shorter with this method")

    if len(padding) != 1:
        raise ValueError("Padding needs to be exactly one character")

    return f"{padding * (length - len(string))}{string}"
